## exiv2 0.21.1

=== doc/Makefile ===
# ***************************************************** -*- Makefile -*-
#
# Copyright (C) 2004-2011 Andreas Huggel <ahuggel@gmx.net>
#
# This Makefile is part of the Exiv2 distribution.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#    2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#    3. The name of the author may not be used to endorse or promote
#       products derived from this software without specific prior
#       written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# File:      Makefile
# Version:   $Rev: 2455 $
# Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
# History:   10-Dec-03, ahu: created
#
# Description:
#  Simple Makefile to build the doxygen documentation
#
# Restrictions:
#  Requires GNU make.
#

# Default make target
all: doc

# Include system configuration
top_srcdir = ..
include $(top_srcdir)/config/config.mk

# **********************************************************************
# ======================================================================
# **********************************************************************

# Initialisations
SHELL = /bin/sh

.SUFFIXES:

# **********************************************************************
# Targets
.PHONY: all doc doxygen tags mostlyclean clean distclean maintainer-clean

doc: doxygen tags

doxygen:
	doxygen $(top_srcdir)/config/Doxyfile

tags:
	cd $(top_srcdir)/doc/templates && $(MAKE) all
	cp -f $(top_srcdir)/doc/templates/*.html $(top_srcdir)/doc/html/

mostlyclean clean:
	$(RM) *~ *.bak *#

distclean: clean
	cd $(top_srcdir)/doc/templates && $(MAKE) $(MAKECMDGOALS)

# This command is intended for maintainers to use; it deletes files
# that may need special tools to rebuild.
maintainer-clean: distclean
	rm -rf $(top_srcdir)/doc/html/*

=== src/Makefile ===
# ************************************************************* -*- Makefile -*-
#
# Copyright (C) 2004-2011 Andreas Huggel <ahuggel@gmx.net>
#
# This Makefile is part of the Exiv2 distribution.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#    2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#    3. The name of the author may not be used to endorse or promote
#       products derived from this software without specific prior
#       written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# File:      Makefile
# Version:   $Rev: 2455 $
# Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
# History:   10-Dec-03, ahu: created
#
# Description:
#  Do NOT change this file! All system specific settings and configs
#  go into config.mk.
#
#  This makefile contains (supposedly) generic build rules to build the
#  library and applications. It includes all system specific settings
#  from config.mk. The idea is that configuring and porting the
#  software to a new platform should only require changes in config.mk.
#
# Restrictions:
#  Requires GNU make.
#

# Default make target
all: bin

# Include system configuration
top_srcdir = ..
include $(top_srcdir)/config/config.mk

# ******************************************************************************
# Source files

# Add standalone C++ header files to this list
CCHDR =  exiv2.hpp             \
         exv_conf.h            \
         exv_msvc.h            \
         version.hpp

# Add library C++ source files to this list
CCSRC =  basicio.cpp           \
	 bmpimage.cpp          \
	 canonmn.cpp           \
	 convert.cpp           \
	 cr2image.cpp          \
	 crwimage.cpp          \
	 datasets.cpp          \
	 easyaccess.cpp        \
	 error.cpp             \
	 exif.cpp              \
	 futils.cpp            \
	 fujimn.cpp            \
	 gifimage.cpp          \
	 image.cpp             \
	 iptc.cpp              \
	 jp2image.cpp          \
	 jpgimage.cpp          \
	 makernote.cpp         \
	 metadatum.cpp         \
	 minoltamn.cpp         \
	 mrwimage.cpp          \
	 nikonmn.cpp           \
	 olympusmn.cpp         \
	 orfimage.cpp          \
	 panasonicmn.cpp       \
	 pgfimage.cpp
ifdef HAVE_LIBZ
CCSRC += pngimage.cpp          \
	 pngchunk.cpp
endif
CCSRC += preview.cpp           \
	 properties.cpp        \
	 psdimage.cpp          \
	 rafimage.cpp          \
	 rw2image.cpp          \
	 samsungmn.cpp         \
	 sigmamn.cpp           \
	 pentaxmn.cpp          \
	 sonymn.cpp            \
	 tags.cpp              \
	 tgaimage.cpp          \
	 tiffcomposite.cpp     \
	 tiffimage.cpp         \
	 tiffvisitor.cpp       \
	 types.cpp             \
	 value.cpp             \
	 version.cpp           \
	 xmp.cpp               \
	 xmpsidecar.cpp

# Add library C source files to this list
ifndef HAVE_TIMEGM
CSRC =   localtime.c
endif

# Add source files of simple applications to this list
# Todo: How can we still support crwedit.cpp, crwparse.cpp
BINSRC = taglist.cpp

# Source files for the Exiv2 application
EXIV2MAIN = exiv2.cpp
EXIV2SRC  = actions.cpp       \
	    utils.cpp
# C source files for the Exiv2 application
ifndef HAVE_TIMEGM
EXIVCSRC  = localtime.c
endif

# Source files for the metacopy sample application
MCMAIN = metacopy.cpp
MCSRC  = utils.cpp

# ******************************************************************************
# Library
LIBRARY = libexiv2.la

# ******************************************************************************
# Initialisations
SHELL = /bin/sh

.SUFFIXES:
.SUFFIXES: .c .cpp .o .so

.PRECIOUS: %.cpp

CPPFLAGS += $(XMPSDK_CPPFLAGS)
LDFLAGS += $(EXPAT_LDFLAGS) $(XMPSDK_LDFLAGS)
LIBS += $(EXPAT_LIBS) $(XMPSDK_LIBS)

# Generic variables
CCHDR := $(CCHDR) $(CCSRC:.cpp=.hpp)
CCOBJ = $(CCSRC:.cpp=.o)
CCLOBJ = $(CCSRC:.cpp=.lo)

COBJ = $(CSRC:.c=.o)
CLOBJ = $(CSRC:.c=.lo)

SRC = $(CCSRC) $(CSRC)
HDR = $(CCHDR)
OBJ = $(CCOBJ) $(COBJ)
LOBJ = $(CCLOBJ) $(CLOBJ)

BINOBJ = $(BINSRC:.cpp=.o)
BINARY = $(BINSRC:.cpp=)
EXECUTABLE = $(BINSRC:.cpp=$(EXEEXT))

EXIV2OBJ = $(EXIV2MAIN:.cpp=.o) $(EXIV2SRC:.cpp=.o)
EXIV2COBJ = $(EXIVCSRC:.c=.o)
EXIV2BIN = $(EXIV2MAIN:.cpp=)
EXIV2EXE = $(EXIV2MAIN:.cpp=$(EXEEXT))

MCOBJ = $(MCMAIN:.cpp=.o) $(MCSRC:.cpp=.o)
MCBIN = $(MCMAIN:.cpp=)
MCEXE = $(MCMAIN:.cpp=$(EXEEXT))

ifdef DEP_TRACKING
DEP = $(CCSRC:%.cpp=$(DEPDIR)/%.d) $(CSRC:%.c=$(DEPDIR)/%.d) \
      $(BINSRC:%.cpp=$(DEPDIR)/%.d) \
      $(EXIV2MAIN:%.cpp=$(DEPDIR)/%.d) $(EXIV2SRC:%.cpp=$(DEPDIR)/%.d) \
      $(EXIVCSRC:%.c=$(DEPDIR)/%.d) $(MCMAIN:%.cpp=$(DEPDIR)/%.d) \
      $(MCSRC:%.cpp=$(DEPDIR)/%.d) $(DEPDIR)/path-test.d

endif

# ******************************************************************************
# Rules
$(CCOBJ): %.o: %.cpp
	@$(LIBTOOL) --mode=compile $(COMPILE.cc) -DEXV_BUILDING_LIB=1 -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

$(COBJ): %.o: %.c
	@$(LIBTOOL) --mode=compile $(COMPILE.c) -DEXV_BUILDING_LIB=1 -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

$(sort $(BINOBJ) $(EXIV2OBJ) $(MCOBJ) path-test.o): %.o: %.cpp
	$(COMPILE.cc) -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

%.o: %.c
	$(COMPILE.c) -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

%.ii: %.cpp
	set -e; \
	$(CXXCPP) $(CPPFLAGS) -DEXV_BUILDING_LIB=1 $< | sed '/^[ 	]*$$/d' > $@

# ******************************************************************************
# Targets
.PHONY: all bin check ctags doc                                        \
        clean mostlyclean distclean maintainer-clean                   \
        install install-header install-lib                             \
        uninstall uninstall-header uninstall-lib

ifdef DEP_TRACKING
# Include targets from dependency files
-include $(DEP)
endif

actions.cpp basicio.cpp exif.cpp exiv2.cpp futils.cpp image.cpp jpgimage.cpp utils.cpp: exv_conf.h

exv_conf.h: $(top_srcdir)/config/config.h
	sed 's/#define \([A-Z]\)/#define EXV_\1/; s/#undef \([A-Z]\)/#undef EXV_\1/' < $< > $@

$(LIBTOOL): $(LIBTOOL_DEPS)
	$(SHELL) $(top_srcdir)/config.status --recheck

bin: lib $(BINARY) $(EXIV2BIN) $(MCBIN) path-test

lib: $(OBJ)
	$(LIBTOOL) --mode=link $(LINK.cc) -o $(LIBRARY) $(LOBJ) -rpath $(libdir) -version-info $(EXIV2_LTVERSION) $(LIBS)
	@touch lib

path-test: path-test.o utils.o
	$(CXX) $(CXXFLAGS) path-test.o utils.o -o $@

$(BINARY): %: %.o lib
	@$(LIBTOOL) --mode=link $(LINK.cc) -o $@ $(LIBRARY) $@.o -rpath $(libdir)

$(EXIV2BIN): lib $(EXIV2OBJ) $(EXIV2COBJ)
	@$(LIBTOOL) --mode=link $(LINK.cc) -o $@ $(LIBRARY) $(EXIV2OBJ) $(EXIV2COBJ) -rpath $(libdir)

$(MCBIN): lib $(MCOBJ)
	@$(LIBTOOL) --mode=link $(LINK.cc) -o $@ $(LIBRARY) $(MCOBJ) -rpath $(libdir)

install-header:
	$(INSTALL_DIRS) $(DESTDIR)$(incdir)
	@list='$(HDR)'; for p in $$list; do \
	    if test -f $$p; then \
	        echo "$(INSTALL_DATA) $$p $(DESTDIR)$(incdir)/$$p"; \
	        $(INSTALL_DATA) $$p $(DESTDIR)$(incdir)/$$p; \
	    else :; fi; \
	done

install-lib: lib install-header
	$(INSTALL_DIRS) $(DESTDIR)$(libdir)
	@$(LIBTOOL) --mode=install $(INSTALL_DATA) $(LIBRARY) $(DESTDIR)$(libdir)/$(LIBRARY)
	$(INSTALL_DIRS) $(DESTDIR)$(bindir)
	$(INSTALL_DIRS) $(DESTDIR)$(libdir)/pkgconfig
	$(INSTALL_DATA) $(top_srcdir)/config/exiv2.pc $(DESTDIR)$(libdir)/pkgconfig/exiv2.pc

install: $(EXIV2BIN) install-lib
	$(INSTALL_DIRS) $(DESTDIR)$(bindir)
	@$(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $(EXIV2EXE) $(DESTDIR)$(bindir)/$(EXIV2EXE)
	$(INSTALL_DIRS) $(DESTDIR)$(mandir)
	$(INSTALL_DIRS) $(DESTDIR)$(man1dir)
	$(INSTALL_DATA) exiv2.1 $(DESTDIR)$(man1dir)/exiv2.1

uninstall-header:
	@list='$(HDR)'; for p in $$list; do \
	    echo "$(RM) $(DESTDIR)$(incdir)/$$p"; \
	    $(RM) $(DESTDIR)$(incdir)/$$p; \
	done
	-rmdir $(DESTDIR)$(incdir)

uninstall-lib: uninstall-header
	$(RM) $(DESTDIR)$(libdir)/pkgconfig/exiv2.pc
	-rmdir $(DESTDIR)$(libdir)/pkgconfig
	@$(LIBTOOL) --mode=uninstall $(RM) $(DESTDIR)$(libdir)/$(LIBRARY)
	-rmdir $(DESTDIR)$(libdir)

uninstall: uninstall-lib
	$(RM) $(DESTDIR)$(man1dir)/exiv2.1
	-rmdir $(DESTDIR)$(man1dir)
	-rmdir $(DESTDIR)$(mandir)
	@$(LIBTOOL) --mode=uninstall $(RM) $(DESTDIR)$(bindir)/$(EXIV2EXE)
	-rmdir $(DESTDIR)$(bindir)

ctags:
	ebrowse $(HDR) $(SRC)
#	ctags-exuberant --extra=+q -e *
#	ctags-exuberant --extra=+q *

check:
	@echo "No checks available for this library."

mostlyclean:
	$(RM) core
	$(RM) $(CCSRC:.cpp=.ii)
	$(RM) lib
	$(RM) path-test.o
	$(RM) $(CCSRC:%.cpp=.libs/%.d) $(CSRC:%.c=.libs/%.d)
	@$(LIBTOOL) --mode=clean $(RM) $(LOBJ) $(sort $(BINOBJ) $(EXIV2OBJ) $(EXIV2COBJ) $(MCOBJ))

clean: mostlyclean
	@$(LIBTOOL) --mode=clean $(RM) $(LIBRARY)
	@$(LIBTOOL) --mode=clean $(RM) $(EXECUTABLE) $(EXIV2EXE) $(MCEXE)
	@$(LIBTOOL) --mode=clean $(RM) path-test$(EXEEXT)

# Run `make distclean' from the top source directory to also remove
# files created by configuring the program.
distclean: clean
	$(RM) exv_conf.h doxygen.hpp
ifdef DEP_TRACKING
	$(RM) $(DEP)
	-rmdir $(DEPDIR)
endif
	$(RM) tags TAGS
	$(RM) *~ *.bak *#

# This command is intended for maintainers to use; it deletes files
# that may need special tools to rebuild.
maintainer-clean: uninstall distclean
	-$(RM) -r .deps
	-$(RM) -r .libs

=== contrib/organize/Makefile ===
# ************************************************************* -*- Makefile -*-
#
# Copyright (C) 2004-2011 Andreas Huggel <ahuggel@gmx.net>
#
# This Makefile is part of the Exiv2 distribution.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#    2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#    3. The name of the author may not be used to endorse or promote
#       products derived from this software without specific prior
#       written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# File:      Makefile
# Version:   $Rev: 2455 $
# Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
# History:   31-Jan-09, ahu: created
#
# Description:
#  Simple Makefile to build the organize application. Requires installed
#  exiv2 library and headers. Adapted from samples/Makefile.
#
# Restrictions:
#  Requires GNU make.
#

# ******************************************************************************
# Default make target
all: ozbin

# Include system configuration
top_srcdir = ../..
include $(top_srcdir)/config/config.mk
include boost.mk

# ******************************************************************************
# Source files

# Source files for the organize application
OZMAIN = organize.cpp
OZSRC  = helpers.cpp MD5.cpp

# ******************************************************************************
# Initialisations
SHELL = /bin/sh

.SUFFIXES:
.SUFFIXES: .c .cpp .o .so

.PRECIOUS: %.cpp

CPPFLAGS := -I$(BOOST_INC_DIR) `pkg-config exiv2 --cflags`
ifdef HAVE_STDINT
	CPPFLAGS += -DEXV_HAVE_STDINT_H=1
endif

LDFLAGS := $(BOOST_LIBS) `pkg-config exiv2 --libs`

OZOBJ = $(OZSRC:.cpp=.o) $(OZMAIN:.cpp=.o)
OZBIN = $(OZMAIN:.cpp=)
OZEXE = $(OZMAIN:.cpp=$(EXEEXT))

ifdef DEP_TRACKING
DEP = $(OZMAIN:%.cpp=$(DEPDIR)/%.d) $(OZSRC:%.cpp=$(DEPDIR)/%.d)
endif

# ******************************************************************************
# Rules
ozbin: $(OZBIN)

$(OZOBJ): %.o: %.cpp
	$(COMPILE.cc) -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

%.ii: %.cpp
	set -e; \
	$(CXXCPP) -E $(CPPFLAGS) $< | sed '/^[ 	]*$$/d' > $@

# ******************************************************************************
# Targets
.PHONY: all ozbin relink binclean install uninstall mostlyclean clean distclean maintainer-clean

ifdef DEP_TRACKING
# Include targets from dependency files
-include $(DEP)
endif

$(OZBIN): $(OZOBJ)
	$(LIBTOOL) --mode=link $(LINK.cc) -o $@ $(OZOBJ)

relink: binclean organize

install:
	$(INSTALL_DIRS) $(DESTDIR)$(bindir)
	@$(LIBTOOL) --mode=install $(INSTALL_PROGRAM) $(OZEXE) $(DESTDIR)$(bindir)/$(OZEXE)

uninstall:
	@$(LIBTOOL) --mode=uninstall $(RM) $(DESTDIR)$(bindir)/$(OZEXE)
	-rmdir $(DESTDIR)$(bindir)

# Remove binaries, e.g., to relink them
binclean:
	$(RM) $(OZEXE)

mostlyclean:
	$(RM) core
	$(RM) $(OZMAIN:.cpp=.ii) $(OZSRC:.cpp=.ii)
	$(RM) $(OZMAIN:%.cpp=.libs/%.d) $(OZSRC:%.cpp=.libs/%.d)
	-rmdir .libs
	$(RM) $(OZOBJ)

clean: binclean mostlyclean

# Run `make distclean' from the top source directory to also remove
# files created by configuring the program.
distclean: clean
ifdef DEP_TRACKING
	$(RM) $(DEP)
	-rmdir $(DEPDIR)
endif
	$(RM) *~ *.bak *#

# This command is intended for maintainers to use; it deletes files
# that may need special tools to rebuild.
maintainer-clean: uninstall distclean

=== debian/changelog ===
exiv2 (0.21.1-0ubuntu2) natty; urgency=low

  * debian/rules: delete the content of dependency_libs in la file to avoid
    having to rebuild this package if the path of the libs changes. This fixes
    also FTBFS in packages that b-d on libexiv2-dev because of incorrect
    reference of libexpat.la. (LP: #737340)

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Fri, 18 Mar 2011 05:17:26 +0000

exiv2 (0.21.1-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/patches/01_multiple_tags.patch:
    - Applied upstream

 -- Robert Ancell <robert.ancell@canonical.com>  Tue, 15 Feb 2011 11:32:10 +1100

exiv2 (0.21-0ubuntu2) natty; urgency=low

  * debian/patches/01_multiple_tags.patch:
    - Fix crash with multiple tags

 -- Robert Ancell <robert.ancell@canonical.com>  Wed, 02 Feb 2011 09:29:11 +1100

exiv2 (0.21-0ubuntu1) natty; urgency=low

  * New upstream release
  * debian/control:
    - Add Vcs-Bzr link
    - Use standards version 3.9.1
    - Rename libexiv2-9 to libexiv2-10

 -- Robert Ancell <robert.ancell@canonical.com>  Fri, 07 Jan 2011 09:54:22 +1100

=== debian/control ===
Source: exiv2
Section: graphics
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.0.50~), chrpath,
 autotools-dev, libexpat1-dev, zlib1g-dev,
 libexpat1-dev,
 doxygen, graphviz, python, xsltproc
Standards-Version: 3.9.1
Homepage: http://www.exiv2.org
Vcs-Bzr: https://code.launchpad.net/~ubuntu-desktop/exiv2/ubuntu

Package: exiv2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EXIF/IPTC metadata manipulation tool
 Exiv2 can:
 .
  * print the Exif metadata of JPEG, TIFF and several RAW image formats as
    summary info, interpreted values, or the plain data for each tag
  * print the IPTC metadata of JPEG images
  * print, set and delete the JPEG comment of JPEG images
  * set, add and delete Exif and IPTC metadata of JPEG images
  * adjust the Exif timestamp (that's how it all started...)
  * rename Exif image files according to the Exif timestamp
  * extract, insert and delete Exif metadata, IPTC metadata and JPEG comments
  * extract, insert and delete the thumbnail image embedded in the Exif metadata
  * fix the Exif ISO setting of picture taken with Nikon cameras

Package: libexiv2-10
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: exiv2
Description: EXIF/IPTC metadata manipulation library
 Exiv2 library supports:
  * full read and write access to the EXIF and IPTC metadata of an image
    through Exiv2 keys and standard C++ iterators
  * a smart IPTC implementation that does not affect data that programs like
    Photoshop store in the same image segment
  * EXIF MakerNote support:
    - MakerNote tags can be accessed just like any other EXIF metadata
    - a sophisticated write algorithm avoids corrupting the MakerNote:
  * extract and delete methods for EXIF thumbnails (both, JPEG and TIFF
    thumbnails)
  * set methods for EXIF thumbnails (JPEG only, TIFF thumbnails can be set from
    individual tags)
  * complete API documentation (by Doxygen)
  * generic lower-level classes to access IFD (Image File Directory) data
    structures

Package: libexiv2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libexiv2-10 (= ${binary:Version}), pkg-config
Suggests: libexiv2-doc
Description: EXIF/IPTC metadata manipulation library - development files
 Exiv2 C++ header files.

Package: libexiv2-doc
Depends: ${misc:Depends}
Section: doc
Architecture: all
Description: EXIF/IPTC metadata manipulation library - HTML documentation
 Exiv2 HTML documentation.

Package: libexiv2-dbg
Depends: ${misc:Depends}, libexiv2-10 (= ${binary:Version})
Section: debug
Architecture: any
Priority: extra
Description: EXIF/IPTC metadata manipulation library - debug
 Exiv2 debug symbols package

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	dh_auto_configure -- --disable-rpath

override_dh_clean:
	dh_clean
	rm -rf doc/html

override_dh_strip:
	dh_strip -a --dbg-package=libexiv2-dbg

override_dh_install:
	[ ! -f Makefile ] || $(MAKE) doc
	dh_install --list-missing
	find $(CURDIR)/debian -type f -name exiv2 | xargs /usr/bin/chrpath -d
	# Drop content of dependency_libs to avoid having to recompile exiv2
	# if the path of the libs that appear there changes
	for file in $(CURDIR)/debian/libexiv2-dev/usr/lib/*.la; do \
		sed -i "/dependency_libs/ s/'.*'/''/" $$file ; \
		done


override_dh_installdocs:
	dh_installdocs -A -Xcmd.txt -XMakefile -Xtemplates -XChangeLog

override_dh_installchangelogs:
	dh_installchangelogs -A doc/ChangeLog

override_dh_compress:
	dh_compress -X.xls -X.js -X.idx -X.xml -X.php

get-orig-source:
	uscan --force-download

## exiv2 0.22

=== debian/changelog ===
exiv2 (0.22-2) experimental; urgency=low

  * dh_auto_configure  $(shell dpkg-buildflags --export=configure)
    - Fixes "Please enabled hardened build flags" (Closes: #656356)
  * dh-linktree - fixes libexiv2-doc: embedded-javascript-library
  * Update debian/copyright GPL-2 -  copyright-refers-to-symlink-license
  * Fix spelling-error-in-manpage exiv2.1.gz explicitely explicitly
  * Fix spelling-error-in-binary
  * Switch to dh_bugfiles
  * Add samples/ to libexiv2-doc/examples
  * Fixed "Lib not recommend exiv2" changes to Suggests: (Closes: #615137)

 -- Mark Purcell <msp@debian.org>  Wed, 25 Jan 2012 07:16:15 +1100

exiv2 (0.22-1) experimental; urgency=low

  * New upstream release
  * NEW Package libexiv2-11 - soname bump
  * Drop usr/lib/libexiv2.la non-empty-dependency_libs-in-la-file
  * Ack NMU, Thanks Luk (Closes: #618747)

 -- Mark Purcell <msp@debian.org>  Sat, 24 Sep 2011 14:28:30 +1000

exiv2 (0.20-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove references to other libraries from dependency_libs field
    (Closes: #618747)

 -- Luk Claes <luk@debian.org>  Sun, 29 May 2011 19:49:33 +0200

exiv2 (0.21.1-1) experimental; urgency=low

  * New upstream release
  * Update upstream bug tracker in presubj

 -- Mark Purcell <msp@debian.org>  Fri, 25 Feb 2011 20:03:39 +1100

exiv2 (0.21-1) experimental; urgency=low

  * New upstream release (Closes: #556913, #486884, #511273)
    - Samsung SRW and Makernote support, API Changes 
  * NEW package libexiv2-10 - soname bump
  * Update debian/control Description:

 -- Mark Purcell <msp@debian.org>  Thu, 27 Jan 2011 00:05:42 +1100

=== debian/control ===
Source: exiv2
Section: graphics
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
Build-Depends: debhelper (>= 7.0.50~), chrpath,
 autotools-dev, libexpat1-dev, zlib1g-dev,
 libjs-jquery, dh-linktree,
 doxygen, graphviz, python, xsltproc
Standards-Version: 3.8.4
Homepage: http://www.exiv2.org
Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/exiv2/trunk
Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/exiv2/trunk

Package: exiv2
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: EXIF/IPTC metadata manipulation tool
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 Exiv2 command line utility to:
 .
  * print Exif, IPTC and XMP image metadata in different formats: 
    - Exif summary info, interpreted values, or the plain data for each tag
  * set, add and delete Exif, IPTC and XMP image metadata from command line
    modify commands or command scripts
  * adjust the Exif timestamp (that's how it all started...)
  * rename Exif image files according to the Exif timestamp
  * extract, insert and delete Exif, IPTC and XMP metadata and JPEG comments
  * extract previews from RAW images and thumbnails from the Exif metadata
  * insert and delete the thumbnail image embedded in the Exif metadata
  * print, set and delete the JPEG comment of JPEG images
  * fix the Exif ISO setting of picture taken with Canon and Nikon cameras

Package: libexiv2-11
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Suggests: exiv2
Description: EXIF/IPTC metadata manipulation library
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 Exiv2 library provides:
  * fast read and write access to the Exif, IPTC, and XMP metadata of an image
  * an easy to use and extensively documented API
  * conversions of Exif and IPTC metadata to XMP and vice versa
  * a smart IPTC implementation that does not affect data that programs like
    Photoshop store in the same image segment
  * Exif Makernote support:
    - Makernote tags can be read and written just like any other metadata
    - a sophisticated write algorithm avoids corrupting the Makernote
  * a simple interface to extract previews embedded in RAW images and Exif
    thumbnails
  * set and delete methods for Exif thumbnails

Package: libexiv2-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libexiv2-11 (= ${binary:Version}), pkg-config
Suggests: libexiv2-doc
Description: EXIF/IPTC metadata manipulation library - development files
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 This package provides the development files for using exiv2.

Package: libexiv2-doc
Depends: ${misc:Depends}
Section: doc
Architecture: all
Description: EXIF/IPTC metadata manipulation library - HTML documentation
 Exiv2 is a C++ library and a command line utility to manage image metadata.
 It provides fast and easy read and write access to the Exif, IPTC and XMP
 metadata of images in various formats
 .
 This package provides the Exiv2 HTML documentation.

Package: libexiv2-dbg
Depends: ${misc:Depends}, libexiv2-11 (= ${binary:Version})
Section: debug
Architecture: any
Priority: extra
Description: EXIF/IPTC metadata manipulation library - debug
 Exiv2 is a C++ library and a command line utility to manage image metadata. It
 provides fast and easy read and write access to the Exif, IPTC and XMP metadata
 of images in various formats
 .
 This package provides the Exiv2 debug symbols.

## exiv2 0.23

=== samples/Makefile ===
# ************************************************************* -*- Makefile -*-
#
# Copyright (C) 2004-2012 Andreas Huggel <ahuggel@gmx.net>
#
# This Makefile is part of the Exiv2 distribution.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#    2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#    3. The name of the author may not be used to endorse or promote
#       products derived from this software without specific prior
#       written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# File:      Makefile
# Version:   $Rev: 2681 $
# Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
# History:   08-Oct-07, ahu: created
#
# Description:
#  Simple Makefile to build sample programs. Requires installed exiv2 library
#  and headers. Adapted from the main Exiv2 src/Makefile.
#
# Restrictions:
#  Requires GNU make.
#

# Default make target
all: samples

# Include system configuration
top_srcdir = ..
include $(top_srcdir)/config/config.mk

# ******************************************************************************
# Source files

# Add source files of sample programs to this list
BINSRC = addmoddel.cpp        \
         convert-test.cpp     \
         easyaccess-test.cpp  \
         exifcomment.cpp      \
         exifdata-test.cpp    \
         exifprint.cpp        \
         iotest.cpp           \
         iptceasy.cpp         \
         iptcprint.cpp        \
         iptctest.cpp         \
         key-test.cpp         \
         largeiptc-test.cpp   \
         mmap-test.cpp        \
         prevtest.cpp         \
         stringto-test.cpp    \
         tiff-test.cpp        \
         werror-test.cpp      \
         write-test.cpp       \
         write2-test.cpp      \
         xmpparse.cpp         \
         xmpparser-test.cpp   \
         xmpsample.cpp

# ******************************************************************************
# Initialisations
SHELL = /bin/sh

.SUFFIXES:
.SUFFIXES: .c .cpp .o .so

.PRECIOUS: %.cpp

CPPFLAGS := `pkg-config exiv2 --cflags`
LDFLAGS := `pkg-config exiv2 --libs`

BINOBJ = $(BINSRC:.cpp=.o)
BINARY = $(BINSRC:.cpp=)
EXECUTABLE = $(BINSRC:.cpp=$(EXEEXT))

ifdef DEP_TRACKING
DEP = $(BINSRC:%.cpp=$(DEPDIR)/%.d)
endif

# ******************************************************************************
# Rules
samples: $(BINARY)

$(BINOBJ): %.o: %.cpp
	$(COMPILE.cc) -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

$(BINARY): %: %.o
	$(LIBTOOL) --mode=link $(LINK.cc) -o $@ $@.o

%.ii: %.cpp
	set -e; \
	$(CXXCPP) -E $(CPPFLAGS) $< | sed '/^[ 	]*$$/d' > $@

# ******************************************************************************
# Targets
.PHONY: all relink binclean mostlyclean clean distclean maintainer-clean

ifdef DEP_TRACKING
# Include targets from dependency files
-include $(DEP)
endif

relink: binclean samples

# Remove binaries, e.g., to relink them
binclean:
	$(RM) $(EXECUTABLE)

mostlyclean:
	$(RM) core
	$(RM) $(CCSRC:.cpp=.ii)
	$(RM) $(CCSRC:%.cpp=.libs/%.d) $(CSRC:%.c=.libs/%.d)
	-rmdir .libs
	$(RM) $(BINOBJ)

clean: binclean mostlyclean

# Run `make distclean' from the top source directory to also remove
# files created by configuring the program.
distclean: clean
ifdef DEP_TRACKING
	$(RM) $(DEP)
	-rmdir $(DEPDIR)
endif
	$(RM) *~ *.bak *#

# This command is intended for maintainers to use; it deletes files
# that may need special tools to rebuild.
maintainer-clean: distclean

=== src/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 # ************************************************************* -*- Makefile -*-
 #
-# Copyright (C) 2004-2011 Andreas Huggel <ahuggel@gmx.net>
+# Copyright (C) 2004-2012 Andreas Huggel <ahuggel@gmx.net>
 #
 # This Makefile is part of the Exiv2 distribution.
 #
@@ -31,7 +31,7 @@
 # IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 #
 # File:      Makefile
-# Version:   $Rev: 2455 $
+# Version:   $Rev: 2681 $
 # Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
 # History:   10-Dec-03, ahu: created
 #
@@ -73,6 +73,7 @@
 	 crwimage.cpp          \
 	 datasets.cpp          \
 	 easyaccess.cpp        \
+	 epsimage.cpp          \
 	 error.cpp             \
 	 exif.cpp              \
 	 futils.cpp            \

=== xmpsdk/src/Makefile ===
# ************************************************************* -*- Makefile -*-
#
# Copyright (C) 2004-2012 Andreas Huggel <ahuggel@gmx.net>
#
# This Makefile is part of the Exiv2 distribution.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
#    1. Redistributions of source code must retain the above copyright
#       notice, this list of conditions and the following disclaimer.
#    2. Redistributions in binary form must reproduce the above
#       copyright notice, this list of conditions and the following
#       disclaimer in the documentation and/or other materials provided
#       with the distribution.
#    3. The name of the author may not be used to endorse or promote
#       products derived from this software without specific prior
#       written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR
# IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR ANY
# DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
# GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
# INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
# IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN
# IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#
# File:      Makefile
# Version:   $Rev: 2681 $
# Author(s): Andreas Huggel (ahu) <ahuggel@gmx.net>
# History:   30-Sep-07, ahu: created
#
# Description:
#  Makefile to build the Adobe XMP Toolkit integrated and distributed with
#  Exiv2. Adapted from the main Exiv2 src/Makefile. This builds what the
#  libtool manual calls a "convenience library".
#
# Restrictions:
#  Requires GNU make.
#

# Default make target
all: xmpsdk

# Include system configuration
top_srcdir = ../..
include $(top_srcdir)/config/config.mk

# ******************************************************************************
# Source files

# Add library C++ source files to this list
CCSRC = XML_Node.cpp           \
        XMPMeta.cpp            \
        XMPMeta-GetSet.cpp     \
        XMPMeta-Parse.cpp      \
        XMPMeta-Serialize.cpp  \
        XMPIterator.cpp        \
        XMPUtils.cpp           \
        XMPUtils-FileInfo.cpp  \
        XMPCore_Impl.cpp       \
        ExpatAdapter.cpp       \
        ParseRDF.cpp           \
        UnicodeConversions.cpp \
        MD5.cpp                \
        WXMPMeta.cpp           \
        WXMPIterator.cpp       \
        WXMPUtils.cpp

# ******************************************************************************
# Library
LIBRARY := lib$(XMPSDK_LIBRARY).la

# ******************************************************************************
# Initialisations
SHELL = /bin/sh

.SUFFIXES:
.SUFFIXES: .c .cpp .o .so

.PRECIOUS: %.cpp

# For a debug build, replace -DNDEBUG=1 with -DDEBUG=1 -D_DEBUG=1
CPPFLAGS += -I../include -funsigned-char -DNDEBUG=1 $(EXPAT_CPPFLAGS)
ifdef HAVE_STDINT
	CPPFLAGS += -DEXV_HAVE_STDINT_H=1
endif

LDFLAGS += $(EXPAT_LDFLAGS)
LIBS += $(EXPAT_LIBS)

# Generic variables
CCOBJ = $(CCSRC:.cpp=.o)
LOBJ = $(CCSRC:.cpp=.lo)

ifdef DEP_TRACKING
DEP = $(CCSRC:%.cpp=$(DEPDIR)/%.d)
endif

# ******************************************************************************
# Rules
$(CCOBJ): %.o: %.cpp
	@$(LIBTOOL) --mode=compile $(COMPILE.cc) -o $@ $<
	@$(MAKEDEPEND)
	@$(POSTDEPEND)

%.ii: %.cpp
	set -e; \
	$(CXXCPP) $(CPPFLAGS) $< | sed '/^[ 	]*$$/d' > $@

# ******************************************************************************
# Targets
.PHONY: all mostlyclean clean distclean maintainer-clean

ifdef DEP_TRACKING
# Include targets from dependency files
-include $(DEP)
endif

$(LIBTOOL): $(LIBTOOL_DEPS)
	$(SHELL) $(top_srcdir)/config.status --recheck

xmpsdk: $(LIBRARY)

$(LIBRARY): $(CCOBJ)
	$(LIBTOOL) --mode=link $(LINK.cc) -o $(LIBRARY) $(LOBJ)

mostlyclean:
	$(RM) core
	$(RM) $(CCSRC:.cpp=.ii)
	$(RM) $(CCSRC:%.cpp=.libs/%.d)
	@$(LIBTOOL) --mode=clean $(RM) $(LOBJ)

clean: mostlyclean
	@$(LIBTOOL) --mode=clean $(RM) $(LIBRARY)

# Run `make distclean' from the top source directory to also remove
# files created by configuring the program.
distclean: clean
ifdef DEP_TRACKING
	$(RM) $(DEP)
	-rmdir $(DEPDIR)
endif
	$(RM) *~ *.bak *#

# This command is intended for maintainers to use; it deletes files
# that may need special tools to rebuild.
maintainer-clean: distclean

=== debian/changelog ===
exiv2 (0.23-1ubuntu2.2) trusty-security; urgency=medium

   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-11591.patch: fix in
       src/value.hpp.
     - CVE-2017-11591
   * SECURITY UPDATE: Remote denial of service
     - debian/patches/CVE-2017-11683.patch: fix in
       src/tiffvisitor.cpp.
     - CVE-2017-11683
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-14859_14862_14864.patch: fix in
       src/error.cpp, src/tiffvisitor.cpp.
     - CVE-2017-14859
     - CVE-2017-14862
     - CVE-2017-14864
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-17669.patch: fix in
       src/pngchunk.cpp.
     - CVE-2017-17669
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2017-9239.patch: fix in
       src/tiffcomposite.cpp.
     - CVE-2017-9239
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-2018-17581.patch: fix in
       src/crwimage.cpp.
     - CVE-2018-17581
   * SECURITY UPDATE: Denial of service
     - debian/patches/CVE-16336*.patch: fix in
       src/pngchunk.cpp.
     - CVE-2018-16336
  * Minor fix related to CVE-2018-10958_10999 in src/pngchunk.cpp.

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Tue, 08 Jan 2019 13:38:56 -0300

exiv2 (0.23-1ubuntu2.1) trusty-security; urgency=medium

  * SECURITY UPDATE: denial of service through memory exhaustion
    and a heap-based buffer over-read
    - debian/patches/CVE-2018-10958_10999*.patch
    - CVE-2018-10958
    - CVE-2018-10999
  * SECURITY UPDATE: Denial of service
    - debian/patches/CVE-2018-10998.patch
    - CVE-2018-10998
  * SECURITY UPDATE: Heap-based buffer overflow
    - debian/patches/CVE-2018-11531*.patch
    - CVE-2018-11531
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2018-12264.patch
    - CVE-2018-12264
  * SECURITY UPDATE: Integer overflow
    - debian/patches/CVE-2018-12265*.patch
    - CVE-2018-12265

 -- Leonidas S. Barbosa <leo.barbosa@canonical.com>  Fri, 29 Jun 2018 10:20:45 -0300

exiv2 (0.23-1ubuntu2) trusty; urgency=low

  * Apply libtool patch for powerpc*le-linux support, copied from libtool
    2.4.2-1.3ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 17 Dec 2013 11:57:20 +0000

exiv2 (0.23-1ubuntu1) saucy; urgency=low

  * Update config.{guess,sub} for AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 09 Oct 2013 20:14:39 +0200

exiv2 (0.23-1) unstable; urgency=low

  * New upstream release
    - Fixes "Support for .cr2 RAW files" (Closes: #665736)
  * NEW package libexiv2-12 - match soname
  * Drop spelling-error-in-binary.diff - included upstream
  * Drop spelling-error-in-manpage.diff - included upstream
  * Upload to unstable - coordinated through debian release
    - Fixes "please package 0.21 or newer to unstable" (Closes: #650516)
  * Update to Standard 3.9.3 - no changes necessary

 -- Mark Purcell <msp@debian.org>  Sat, 05 May 2012 09:31:28 +1000

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,14 @@
 Source: exiv2
 Section: graphics
 Priority: optional
-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Mark Purcell <msp@debian.org>, Fathi Boudra <fabo@debian.org>
 Build-Depends: debhelper (>= 7.0.50~), chrpath,
  autotools-dev, libexpat1-dev, zlib1g-dev,
  libjs-jquery, dh-linktree,
  doxygen, graphviz, python, xsltproc
-Standards-Version: 3.8.4
+Standards-Version: 3.9.3
 Homepage: http://www.exiv2.org
 Vcs-Browser: http://svn.debian.org/wsvn/pkg-kde/kde-extras/exiv2/trunk
 Vcs-Svn: svn://svn.debian.org/pkg-kde/kde-extras/exiv2/trunk
@@ -34,7 +35,7 @@
   * print, set and delete the JPEG comment of JPEG images
   * fix the Exif ISO setting of picture taken with Canon and Nikon cameras
 
-Package: libexiv2-11
+Package: libexiv2-12
 Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
@@ -60,7 +61,7 @@
 Package: libexiv2-dev
 Section: libdevel
 Architecture: any
-Depends: ${misc:Depends}, libexiv2-11 (= ${binary:Version}), pkg-config
+Depends: ${misc:Depends}, libexiv2-12 (= ${binary:Version}), pkg-config
 Suggests: libexiv2-doc
 Description: EXIF/IPTC metadata manipulation library - development files
  Exiv2 is a C++ library and a command line utility to manage image metadata.
@@ -81,7 +82,7 @@
  This package provides the Exiv2 HTML documentation.
 
 Package: libexiv2-dbg
-Depends: ${misc:Depends}, libexiv2-11 (= ${binary:Version})
+Depends: ${misc:Depends}, libexiv2-12 (= ${binary:Version})
 Section: debug
 Architecture: any
 Priority: extra

=== debian/watch ===
# See uscan(1) for format

# Compulsory line, this is a version 3 file
version=3

http://www.exiv2.org/download.html exiv2-(.*[\d])\.tar\.gz debian svn-upgrade
